ArchimedeanSpiral Class Reference
Example scripts (models)

Example: Archimedean spiral More...

## Public Member Functions

| ArchimedeanSpiral (const Options &opt)
| Actual model.
| ArchimedeanSpiral (ArchimedeanSpiral &p)
| Constructor for cloning p.
virtual Space * | copy (void)
| Copy during cloning.
virtual FloatVar | cost (void) const
| Cost function.
virtual void | print (std::ostream &os) const
| Print solution coordinates.
Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::ExtractStepOption< FloatMaximizeSpace > >
| ScriptBase (const Options &opt)
| Constructor.
| ScriptBase (ScriptBase &e)
| Constructor used for cloning.
virtual void | compare (const Space &home, std::ostream &os) const
| Compare with s.
Public Member Functions inherited from Gecode::Driver::ExtractStepOption< BaseSpace >
| ExtractStepOption (const Options &opt)
| Constructor that extracts the step value.
| ExtractStepOption (BaseSpace &e)
| Constructor used for cloning.

## Protected Attributes

FloatVarArray | f
| The numbers.

## Related Symbols

(Note that these are not member symbols.)
int | main (int argc, char *argv[])
| Main-function.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Driver::ScriptBase< Driver::ExtractStepOption< FloatMaximizeSpace > >
static std::ostream & | select_ostream (const char *sn, std::ofstream &ofs)
| Choose output stream according to sn.
static void | run (const Options &opt, Script *s=NULL)

## Detailed Description

Example: Archimedean spiral

The Archimedean Spiral is a spiral where all points corresponding to the locations over time of a point moving away from a fixed point with a constant speed along a line which rotates with constant angular velocity. It is defined by the polar equation:

To get cartesian coordinates, it can be solved for and in terms of and . By setting and , it yields to the equation:

with

The tuple is related to the position for and on the curve. and are positive numbers.

To get reasonable interval starting * sizes, and are restricted to .

Definition at line 67 of file archimedean-spiral.cpp.

## Constructor & Destructor Documentation

## ArchimedeanSpiral() [1/2]

ArchimedeanSpiral::ArchimedeanSpiral | ( | const Options & | opt | ) |

inline

Actual model.

Definition at line 73 of file archimedean-spiral.cpp.

## ArchimedeanSpiral() [2/2]

ArchimedeanSpiral::ArchimedeanSpiral | ( | ArchimedeanSpiral & | p | ) |

inline

Constructor for cloning p.

Definition at line 91 of file archimedean-spiral.cpp.

## Member Function Documentation

## copy()

virtual Space * ArchimedeanSpiral::copy | ( | void |  | ) |

inline virtual

Copy during cloning.

Definition at line 96 of file archimedean-spiral.cpp.

## cost()

virtual FloatVar ArchimedeanSpiral::cost | ( | void |  | ) | const

inline virtual

Cost function.

Definition at line 100 of file archimedean-spiral.cpp.

## print()

virtual void ArchimedeanSpiral::print | ( | std::ostream & | os | ) | const

inline virtual

Print solution coordinates.

Reimplemented from Gecode::Driver::ScriptBase< Driver::ExtractStepOption< FloatMaximizeSpace > >.

Definition at line 104 of file archimedean-spiral.cpp.

## Friends And Related Symbol Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[] )

related

Main-function.

Definition at line 114 of file archimedean-spiral.cpp.

## Member Data Documentation

## f

FloatVarArray ArchimedeanSpiral::f

protected

The numbers.

Definition at line 70 of file archimedean-spiral.cpp.

The documentation for this class was generated from the following file:

- examples/archimedean-spiral.cpp